> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an entry



## OpenAPI

````yaml PATCH /reporting/report_map_entries/{id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /reporting/report_map_entries/{id}:
    patch:
      summary: Update an entry
      operationId: update-report-map-entry
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                entry:
                  type: object
                  properties:
                    external_key:
                      type: string
                    metadata:
                      type: object
                    parameter_bindings_attributes:
                      type: array
                      items:
                        type: object
                        properties:
                          position:
                            type: integer
                          data_point_type_slug:
                            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: rme_abc123def456
                    version_id: rmv_abc123def456
                    external_key: rtc_123.product_mass
                    metadata:
                      type: string
                      display_name: Updated Name
                    parameter_bindings: []
                    created_at: '2026-01-15T10:00:00.000Z'
                    updated_at: '2026-01-15T11:00:00.000Z'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````